
:root{
    --color-elements:#0046B8;
}


main, .background {
    /* height: 120vh; */
    overflow-y: hidden;
    height: 100%!important;
    padding-bottom: 20px;
}

.main{
    border: 2px solid #FFDD00;
    background: rgba(249, 188, 158, 0.25);
}

.esconder{
    font-size: 1px !important;
    color: transparent !important;
    text-shadow: none !important;
}

/* CAMBIAR EL BACKGROUND */
.background{
    background: url(../../../media/backgrounds/pokemon2.jpg);
    background-size: cover;
    background-position: center;
    animation: moveBackgorund 18s infinite;
}

@keyframes moveBackgorund {
    0%{
        background-position:-0px 0px;
    }
    50%{
        background-position:-500px 0px;
    }
    100%{
        background-position:-0px 0px;
    }
}

:root{
    --shadow: 0px 2px 2px #000000, 0px -2px 2px #000000, 2px 0px 2px #000000, -2px -0px 2px #000000;
}

.descripcion{
    width: 90%;
    padding: 0px;
    margin-bottom: -10px;
    font-size: 14px;
}

/* NOMBRE */
.titulo h1{
    font-size: 46px;
    color: #FFDD00;
    text-align: center;
    line-height: 1.2;
    -webkit-text-stroke-width: 3px;
    -webkit-text-stroke-color: #0047B6;
    /* text-shadow: var(--shadow); */
}

/* CUMPLE */
.titulo h2{
    color: #ffffff;
    text-shadow: var(--shadow);
}
/* IMAGEN NUMERO */
.titulo img{
    width: 150px;
    margin-top: 8px;
    margin-bottom: 0px;
}

/* FECHA */
.fecha span{
    color: #ffffff;
    text-shadow: var(--shadow);
}
.countdown-container{
    border: 4px solid var(--color-elements);
    background: rgba(255, 255, 255, 0.2); /* Fondo translúcido */
    border-radius: 10px; /* Borde redondeado */
    box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.37); /* Sombra suave */
    -webkit-backdrop-filter: blur(50px); /* Fondo desenfocado */
    color: var(--color-elements);
}

.faltan div{
    background-color: var(--color-elements);
    color: white;
    transform: translateY(15px);
    padding: 5px;
    padding-left: 10px;
    padding-right: 10px;
    border-radius: 10px;
}

/* VESTIMENTA */
.vestimenta img{
    width: 80px;
}

.vestimenta span{
    color: #ffffff;
    text-shadow: var(--shadow);
}

/* Salón Belanova */
.descripcion span{
    color: rgb(255, 255, 255);
    width: 90%;
    padding: 0px;
    margin-bottom: 5px;
    font-size: 14px;
}

/* BOTONES */
.buttons a{
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    gap: 90px;
    margin-bottom: 30px;
    margin-top: 30px;
}

.buttons a{
    background-color: #003a9800;
    border-radius: 5px;
    
    
}

.buttons a img{
    width: 130px;
}

/* lEYENDA */
.leyenda span{
    color: #ffffff;
    text-shadow: var(--shadow);
    font-size: 26px;
    text-align: center;
    line-height: 1.2;
}





/* REPRODUCTOR */
/* bolita */
input[type=range]::-webkit-slider-thumb {
    background-color: #e2e2e2c9;
    width: 20px;
    height: 20px;
    border: 3px solid var(--color-elements);
    border-radius: 50%;
    margin-top: -9px;
}
/* barra */
input[type=range]::-webkit-slider-runnable-track {
    background-color: var(--color-elements) !important;
    height: 4px;
}
/* boton Play Pause */
#play-pause-button{
    background-color: rgba(236, 236, 236, 0.678) !important;
}
/* svg play */
.icon-tabler-player-play-filled path:nth-child(2){
    fill: var(--color-elements); 
}
  /* svg pause */
.icon-tabler-player-pause-filled  path:nth-child(2), .icon-tabler-player-pause-filled path:nth-child(3){
    fill: var(--color-elements); 
}





/* DECORATIONS */
.img1{
    width: 160px;
    left: -20px;
    /* transform: translateY(100px) translateX(-150px) rotate(20deg); */
    animation: img1Animate 9s infinite;
}

.img2{
    width: 200px;
    right: -60px;
    /* transform: translateY(100px) translateX(200px) rotate(-35deg); */
    animation: img2Animate 12s infinite;
}

.img3{
    width: 170px;
    right: -50px;
    /* transform: translateY(20px) translateX(90px) rotate(-35deg); */
    animation: img3Animate 14s infinite;
}

.img4{
    width: 170px;
    left: -40px;
    z-index: -1;
    /* transform: translateY(50px) translateX(-150px) rotate(20deg); */
    animation: img4Animate 15s infinite;
}

.vuelo{
    width: 70px;
    right: -10px;
    position: absolute;
    z-index: 1;
    bottom: 0;
    /* transform: translateY(100px) translateX(-150px) rotate(20deg); */
    animation: volarAnimate 14s infinite;
}


@keyframes volarAnimate {
    0%{
        transform: translate(-800px,-220px) rotate(-15deg);
    }
    50%{
        transform: translate(800px,-650px)rotate(15deg);
    }
    51%{
        transform: translate(800px,-650px) scaleX(-1) rotate(15deg);
    }
    100%{
        transform: translate(-800px,-220px) scaleX(-1) rotate(-15deg)
    }
}


@keyframes img1Animate {
    0%{
        transform: translateY(130px) rotate(10deg);
    }
    50%{
        transform: translateY(-200px) rotate(-10deg);
    }
    100%{
        transform: translateY(130px) rotate(10deg);
    }
}


@keyframes img2Animate {
    0%{
        transform: translateY(100px) rotate(0deg);
    }
    50%{
        transform: translateY(-300px) rotate(15deg);
    }
    
    100%{
        transform: translateY(100px) rotate(0deg);
    }
}


@keyframes img3Animate {
    0%{
        transform: translateY(20px) rotate(-10deg);
    }
    50%{
        transform: translateY(-220px) rotate(10deg);
    }
    100%{
        transform: translateY(20px) rotate(-10deg);
    }
}

@keyframes img4Animate {
    0%{
        transform: translateY(50px) rotate(10deg);
    }
    50%{
        transform: translateY(-250px) rotate(-10deg);
    }
    100%{
        transform: translateY(50px) rotate(10deg);
    }
}